<?
//////////////////////////////////////////////////////////////////////////////
function renderProjectName($id) {
  global $mysiteProjects;

  $res = sql_query("SELECT name FROM $mysiteProjects WHERE id = $id");
  $row = sql_fetch_row($res);
  return $row[0];
}

//////////////////////////////////////////////////////////////////////////////
function renderSite($id, $shortForm = true) {
  global $mysiteProjects, $mysiteProjectsCategories, $mysiteLoginOK, $mysiteStyle;
  
  $res = sql_query("SELECT creation_time, modification_time, name, link, description, category_id FROM $mysiteProjects WHERE id = $id");
  $row = sql_fetch_row($res);
    
  $name = $row[2];
  $thisURL = urlencode('http://' . $_SERVER['SERVER_NAME'] . $_SERVER['PHP_SELF'] . '?' . $_SERVER['QUERY_STRING']);

  $site = '<table class="project">';

  if ($mysiteLoginOK) {    
    if ($row[3] == '') {
      $row[2] = "<a href=\"view_site.php?id=$id\">$row[2]</a><br /><table><tr><td align=\"right\">" . MYSITE_TXT_NAME . " <input type=\"text\" name=\"name\" value=\"$row[2]\" class=\"forms\"></td></tr>";
    } else {
      $row[2] = "<a href=\"view_site.php?id=$id\">$row[2]</a> <a href=\"$row[3]\" target=\"_blank\" class=\"smallFont\">[url]</a><br /><table><tr><td align=\"right\">" . MYSITE_TXT_NAME . " <input type=\"text\" name=\"name\" value=\"$row[2]\" class=\"forms\"></td></tr>";
    }    
    $row[2] .= "<tr><td align=\"right\">" . MYSITE_TXT_URL . " <input type=\"text\" name=\"link\" value=\"$row[3]\" class=\"forms\"></td></tr>";
    $row[2] .= "<tr><td align=\"right\">";
    $row[2] .= "<select name=\"category_id\" class=\"forms\">";
    $res2 = sql_query("SELECT id, name FROM $mysiteProjectsCategories ORDER BY name ASC");
    while ($row2 = sql_fetch_row($res2)) {
      $row[2] .= "<option value=\"$row2[0]\"";
      if ($row[5] == $row2[0]) $row[2] .= " selected";
      $row[2] .= ">$row2[1]</option>";
    }
    $row[2] .= "</select>";
    $row[2] .= "</td></tr></table>";

    $row[4] = "<textarea name=\"description\" class=\"forms\">" . htmlentities($row[4]) . '</textarea>';
    $site .= '<form method="post">';
  } else {
    $row[2] = "<a href=\"view_site.php?id=$id\">$row[2]</a> ";
    if ($row[3] != '') {
      $row[2] .= "<a href=\"$row[3]\" target=\"_blank\" class=\"smallFont\">[url]</a>";
    }
    if ($shortForm) {
      $row[4] = substr($row[4], 0, strpos($row[4], "\n") - 1);
    }
    $row[4] = '<p>' . nl2br($row[4]) . '</p>';
  }
  
  $site .= '<tr><th rowspan="2" class="project">' . $row[2] . '</th>';
  $site .= '<td class="projectCreationTime">' . MYSITE_TXT_CREATION_TIME . ' ' . date(MYSITE_TIME_DATE_FMT, $row[0]) . '</td></tr>';
  $site .= '<tr><td class="projectModificationTime">' . MYSITE_TXT_MODIFICATION_TIME . ' ' . date(MYSITE_TIME_DATE_FMT, $row[1]) . '</td></tr>';
  
  if ($shortForm) {
    $site .= "<tr><td colspan=\"2\">$row[4]</td></tr>";
  } else {
    $site .= "<tr><td colspan=\"2\" class=\"projectDescription\">$row[4]</p></td></tr>";
    $site .= '<tr><td colspan="2">' . MYSITE_TXT_FILES . ' :<br />';
    if ($dir = @opendir(MYSITE_FILES_DIR . $name)) {
      while($file = readdir($dir)) {
        if (($file != '.') && ($file != '..')) {
          $site .= '<a href="' . MYSITE_FILES_DIR . $name . "/$file\">$file</a>";
          if ($mysiteLoginOK) {
/*            $site .= "<img src=\"templates/$mysiteStyle/images/1x1.gif\" border=\"0\">";
            $site .= "<a href=\"#\"><img src=\"templates/$mysiteStyle/images/r_small.gif\" border=\"1\"></a>";*/
            $site .= "<img src=\"templates/$mysiteStyle/images/1x1.gif\" border=\"0\">";
            $site .= "<a href=\"view_site.php?id=$id&action=delete_file&name=$file\"><img src=\"templates/$mysiteStyle/images/cross_small.gif\" border=\"1\"></a>";
          }
          $site .= '<br />';
        }
      }
      closedir($dir);
    }
    
    $site .= '</td></tr>';
  }

  if ($mysiteLoginOK) {
    // render project management elements
    $site .= "<tr><td colspan=\"2\" align=\"right\"><table><tr>";
    $site .= "<td class=\"projectOperation\"><input type=\"submit\" value=\"" . MYSITE_TXT_MODIFY . "\" class=\"projectOperationSubmit\"></td>";
    $site .= "<td class=\"projectOperation\"><a href=\"delete_project.php?id=$id&lastUrl=$thisURL\"><img src=\"templates/$mysiteStyle/images/cross.gif\" border=\"0\"></a></td>";
    $site .= "</tr></table></td></tr>";
    $site .= "<input type=\"hidden\" name=\"action\" value=\"modify_project\">";
    $site .= "<input type=\"hidden\" name=\"project_id\" value=\"$id\">";
    $site .= '</form>';
  }

  $site .= '</table>';

  return $site;
}
?>
